
Installer - Bug #28954

Add Puma Configuration

02/06/2020 10:21 PM - Suresh Thirugnanasambandan

Status: Duplicate   

Priority: Normal   

Assignee: Suresh Thirugnanasambandan   

Category: foreman-installer script   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-for

eman/pull/790,

https://github.com/theforeman/foreman-i

nstaller/pull/464

  

Description

Add Puma configuration to foreman.  This has two tasks:

1. Adding baseline configuration file to foreman core (foreman-installer)

2. Adding systemd override environment variables to tune specific puma attributes.

Related issues:

Is duplicate of Foreman - Feature #28955: Add Puma workers/threads configuration Closed

History

#1 - 02/06/2020 10:27 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/puppet-foreman/pull/790 added

#2 - 02/06/2020 10:29 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/464 added

#3 - 02/07/2020 03:04 AM - Suresh Thirugnanasambandan

Duplicate of https://projects.theforeman.org/issues/28955

#4 - 05/12/2020 09:22 PM - Eric Helms

- Status changed from Ready For Testing to Resolved

- Target version set to 2.1.0

#5 - 05/27/2020 01:13 PM - Tomer Brisker

- Status changed from Resolved to Duplicate

- Target version deleted (2.1.0)

#6 - 05/27/2020 01:13 PM - Tomer Brisker

- Is duplicate of Feature #28955: Add Puma workers/threads configuration added
